Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp.taglib
Class ContentTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.servlets.jsp.TagSupport
              com.bea.p13n.servlets.jsp.taglib.ContentTagSupport

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ContentQueryTag, ContentSelectorTag

    public class ContentTagSupport

extends TagSupport

Base Tag class for tags which deal with Content.

This provides access to the Content Cache.

See Also
  Serialized Form

Field Summary
`protected String` | `cacheId` The cache id.
`protected String` | `cacheScope` The cache scope.
`protected long` | `cacheTimeout` The cache timeout.
`protected Map` | `contextParams` The context params.
`protected String[]` | `searchPaths` Search paths.
`protected boolean` | `useCache` Should this try to use the cache.
`protected boolean` | `versionedContent` Should this search versioned data and return versions.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ContentTagSupport()`

Method Summary
`protected Node[]` | `checkContentCache()` Check the content cache for the requested Content.
`String` | `getCacheId()` Get cacheId which should be used.
`String` | `getCacheScope()` Get the `cacheScope`.
`String` | `getCacheTimeout()` Get the value of `cacheTimeout`.
`Map` | `getContextParams()` Get the context params.
`String[]` | `getSearchPaths()` Get the value of `searchPaths`.
`String` | `getUseCache()` Get the value of `useCache`.
`boolean` | `getVersionedContent()` Boolean to determine if version data should be returned
`protected void` | `initRepositoryManager()`
`void` | `release()` Reset any variables.
`protected Node[]` | `secureContentResults(Node[] original)` Secure the original results based on users security credentials to view the content
`protected Version[]` | `secureContentResults(Version[] original)` Secure the original results based on users security credentials to view the content
`void` | `setCacheId(String s)` Set the value of `cacheId`.
`void` | `setCacheScope(String s)` Set the `cacheScope`.
`void` | `setCacheTimeout(long l)` Set the value of `cacheTimeout`.
`void` | `setCacheTimeout(String v)` Set the value of `cacheTimeout`.
`void` | `setContextParams(Map m)` Set the context params.
`void` | `setContextParams(String str)` Set the context params from semi-colon separate list of name=value pairs.
`void` | `setInContentCache(Node[] content)` Update the content cache with the specified content.
`void` | `setSearchPaths(String searchPaths)` Set the value of `searchPaths`.
`void` | `setSearchPaths(String[] searchPaths)` Set the value of `searchPaths`.
`void` | `setUseCache(boolean b)` Set the value of `useCache`.
`void` | `setUseCache(String s)` Set the value of `useCache`.
`void` | `setVersionedContent(boolean s)` Set boolean to determine if version data should be returned

Methods inherited from class com.bea.p13n.servlets.jsp.TagSupport
`createAdviceRequest, createAdvisor`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useCache

    protected boolean useCache

  Should this try to use the cache.

### cacheScope

    protected String cacheScope

  The cache scope.

### cacheId

    protected String cacheId

  The cache id.

### cacheTimeout

    protected long cacheTimeout

  The cache timeout.

### contextParams

    protected Map contextParams

  The context params.

### versionedContent

    protected boolean versionedContent

  Should this search versioned data and return versions.

### searchPaths

    protected String[] searchPaths

  Search paths.

Constructor Detail

### ContentTagSupport

    public ContentTagSupport()

Method Detail

### release

    public void release()

  Reset any variables.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### initRepositoryManager

    protected void initRepositoryManager()

### secureContentResults

    protected Node[] secureContentResults(Node[] original)

  Secure the original results based on users security credentials to view the content

  Parameters
    `original` -
  Returns
    The secured result set.

### secureContentResults

    protected Version[] secureContentResults(Version[] original)
                                      throws RepositoryRuntimeException

  Secure the original results based on users security credentials to view the content

  Parameters
    `original` -
  Returns
    The secured result set.
  Throws
    `RepositoryRuntimeException`

### checkContentCache

    protected Node[] checkContentCache()

  Check the content cache for the requested Content.

  This will use the `useCache`, `cacheScope`, `cacheId`, and `cacheTimeout` settings.

  Returns
    the Content[] if it lives in the cache or has timedout, null if not.

### setInContentCache

    public void setInContentCache(Node[] content)

  Update the content cache with the specified content.

### getUseCache

    public String getUseCache()

  Get the value of `useCache`.

### setUseCache

    public void setUseCache(String s)

  Set the value of `useCache`.

### setSearchPaths

    public void setSearchPaths(String searchPaths)

  Set the value of `searchPaths`.

### setSearchPaths

    public void setSearchPaths(String[] searchPaths)

  Set the value of `searchPaths`.

### getSearchPaths

    public String[] getSearchPaths()

  Get the value of `searchPaths`.

### setUseCache

    public void setUseCache(boolean b)

  Set the value of `useCache`.

### getCacheScope

    public String getCacheScope()

  Get the `cacheScope`.

### setCacheScope

    public void setCacheScope(String s)

  Set the `cacheScope`.

### getCacheId

    public String getCacheId()

  Get cacheId which should be used.

### setCacheId

    public void setCacheId(String s)

  Set the value of `cacheId`.

### getCacheTimeout

    public String getCacheTimeout()

  Get the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(String v)

  Set the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(long l)

  Set the value of `cacheTimeout`.

### getContextParams

    public Map getContextParams()

  Get the context params.

### setContextParams

    public void setContextParams(String str)

  Set the context params from semi-colon separate list of name=value pairs.

### setContextParams

    public void setContextParams(Map m)

  Set the context params.

### getVersionedContent

    public boolean getVersionedContent()

  Boolean to determine if version data should be returned

### setVersionedContent

    public void setVersionedContent(boolean s)

  Set boolean to determine if version data should be returned

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.